summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-config-sign
diff options
context:
space:
mode:
Diffstat (limited to 'bin/taler-deployment-config-sign')
-rwxr-xr-xbin/taler-deployment-config-sign8
1 files changed, 7 insertions, 1 deletions
diff --git a/bin/taler-deployment-config-sign b/bin/taler-deployment-config-sign
index bc3f222..0f6e082 100755
--- a/bin/taler-deployment-config-sign
+++ b/bin/taler-deployment-config-sign
@@ -1,6 +1,12 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+set -eu
base=$HOME
export PATH="$base/deployment":$PATH
+for f in ~/.config/taler/exchange/wire/*.unsigned.json; do
+ taler-exchange-wire -j "$(<"$f")" > "${f%.unsigned.json}.json"
+done
+